Package com.independentsoft.office

# Class RelationshipItemList

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
java.util.ArrayList<RelationshipItem>
com.independentsoft.office.RelationshipItemList

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<RelationshipItem>`, `Collection<RelationshipItem>`, `List<RelationshipItem>`, `RandomAccess`

public class RelationshipItemList extends ArrayList<RelationshipItem>
The Class RelationshipItemList.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RelationshipItemList()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `add​(RelationshipItem item)`
  `String`
  `addRelationshipItem​(RelationshipItem item)`
  Adds the relationship item.
  `RelationshipItem`
  `get​(String relationshipID)`
  Gets the.
  `RelationshipItemList`
  `getAllByType​(String type)`
  Gets the all by type.
  `RelationshipItem`
  `getByID​(String id)`
  Gets the by id.
  `RelationshipItem`
  `getByType​(String type)`
  Gets the by type.

  ### Methods inherited from class java.util.ArrayList

  `add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

  ### Methods inherited from interface java.util.List

  `containsAll`

- ## Constructor Details

  - ### RelationshipItemList

    public RelationshipItemList()

- ## Method Details

  - ### add

    public boolean add​(RelationshipItem item)
    Specified by:
      `add` in interface `Collection<RelationshipItem>`
    Specified by:
      `add` in interface `List<RelationshipItem>`
    Overrides:
      `add` in class `ArrayList<RelationshipItem>`

  - ### addRelationshipItem

    public String addRelationshipItem​(RelationshipItem item)
    Adds the relationship item.
    Parameters:
      `item` - the item
    Returns:
      the string

  - ### get

    public RelationshipItem get​(String relationshipID)
    Gets the.
    Parameters:
      `relationshipID` - the relationship id
    Returns:
      the relationship item

  - ### getByType

    public RelationshipItem getByType​(String type)
    Gets the by type.
    Parameters:
      `type` - the type
    Returns:
      the by type

  - ### getAllByType

    public RelationshipItemList getAllByType​(String type)
    Gets the all by type.
    Parameters:
      `type` - the type
    Returns:
      the all by type

  - ### getByID

    public RelationshipItem getByID​(String id)
    Gets the by id.
    Parameters:
      `id` - the id
    Returns:
      the by id